<div class="ui div">
    <div class = "ui raised center aligned container segment">  
        <div class="ui info teal message fluid" *ngIf="showJumperHelp">
            Start by making a variation of signs. Click multiple times to change the sign. Empty circle is not a valid sign, so the check won't work. Timer starts after the first click on Check.
        </div>
        <div class="ui teal indicating active progress" data-percent="100" id="jumperProgressBarID">
            <div class="bar"></div>
            <div class="label">Remaining time</div>
        </div>

        <div id="left">
            <div class="four wide column" id="signs">
                <button id="j0" class="ui large icon button" (click)="onSignClick(0)" [value]="numOfClicks[0]" [disabled]="shouldBeDisabled[0]" data-tooltip=" Click to change sign. " data-position="left center">
                    <i [class]="iconClass[0]"></i>
                </button>
                <button id="j1" class="ui large icon button" (click)="onSignClick(1)" [value]="numOfClicks[1]" [disabled]="shouldBeDisabled[1]">
                    <i [class]="iconClass[1]"></i>
                </button>
                <button id="j2" class="ui large icon button" (click)="onSignClick(2)" [value]="numOfClicks[2]" [disabled]="shouldBeDisabled[2]">
                    <i [class]="iconClass[2]"></i>
                </button>
                <button id="j3" class="ui large icon button" (click)="onSignClick(3)" [value]="numOfClicks[3]" [disabled]="shouldBeDisabled[3]">
                    <i [class]="iconClass[3]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j4" class="ui large icon button" (click)="onSignClick(4)" [value]="numOfClicks[4]" [disabled]="shouldBeDisabled[4]">
                    <i [class]="iconClass[4]"></i>
                </button>
                <button id="j5" class="ui large icon button" (click)="onSignClick(5)" [value]="numOfClicks[5]" [disabled]="shouldBeDisabled[5]">
                    <i [class]="iconClass[5]"></i>
                </button>
                <button id="j6" class="ui large icon button" (click)="onSignClick(6)" [value]="numOfClicks[6]" [disabled]="shouldBeDisabled[6]">
                    <i [class]="iconClass[6]"></i>
                </button>
                <button id="j7" class="ui large icon button" (click)="onSignClick(7)" [value]="numOfClicks[7]" [disabled]="shouldBeDisabled[7]">
                    <i [class]="iconClass[7]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j8" class="ui large icon button" (click)="onSignClick(8)" [value]="numOfClicks[8]" [disabled]="shouldBeDisabled[8]">
                    <i [class]="iconClass[8]"></i>
                </button>
                <button id="j9" class="ui large icon button" (click)="onSignClick(9)" [value]="numOfClicks[9]" [disabled]="shouldBeDisabled[9]">
                    <i [class]="iconClass[9]"></i>
                </button>
                <button id="j10" class="ui large icon button" (click)="onSignClick(10)" [value]="numOfClicks[10]" [disabled]="shouldBeDisabled[10]">
                    <i [class]="iconClass[10]"></i>
                </button>
                <button id="j11" class="ui large icon button" (click)="onSignClick(11)" [value]="numOfClicks[11]" [disabled]="shouldBeDisabled[11]">
                    <i [class]="iconClass[11]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j12" class="ui large icon button" (click)="onSignClick(12)" [value]="numOfClicks[12]" [disabled]="shouldBeDisabled[12]">
                    <i [class]="iconClass[12]"></i>
                </button>
                <button id="j13" class="ui large icon button" (click)="onSignClick(13)" [value]="numOfClicks[13]" [disabled]="shouldBeDisabled[13]">
                    <i [class]="iconClass[13]"></i>
                </button>
                <button id="j14" class="ui large icon button" (click)="onSignClick(14)" [value]="numOfClicks[14]" [disabled]="shouldBeDisabled[14]">
                    <i [class]="iconClass[14]"></i>
                </button>
                <button id="j15" class="ui large icon button" (click)="onSignClick(15)" [value]="numOfClicks[15]" [disabled]="shouldBeDisabled[15]">
                    <i [class]="iconClass[15]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j16" class="ui large icon button" (click)="onSignClick(16)" [value]="numOfClicks[16]" [disabled]="shouldBeDisabled[16]">
                    <i [class]="iconClass[16]"></i>
                </button>
                <button id="j17" class="ui large icon button" (click)="onSignClick(17)" [value]="numOfClicks[17]" [disabled]="shouldBeDisabled[17]">
                    <i [class]="iconClass[17]"></i>
                </button>
                <button id="j18" class="ui large icon button" (click)="onSignClick(18)" [value]="numOfClicks[18]" [disabled]="shouldBeDisabled[18]">
                    <i [class]="iconClass[18]"></i>
                </button>
                <button id="j19" class="ui large icon button" (click)="onSignClick(19)" [value]="numOfClicks[19]" [disabled]="shouldBeDisabled[19]">
                    <i [class]="iconClass[19]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j20" class="ui large icon button" (click)="onSignClick(20)" [value]="numOfClicks[20]" [disabled]="shouldBeDisabled[20]">
                    <i [class]="iconClass[20]"></i>
                </button>
                <button id="j21" class="ui large icon button" (click)="onSignClick(21)" [value]="numOfClicks[21]" [disabled]="shouldBeDisabled[21]">
                    <i [class]="iconClass[21]"></i>
                </button>
                <button id="j22" class="ui large icon button" (click)="onSignClick(22)" [value]="numOfClicks[22]" [disabled]="shouldBeDisabled[22]">
                    <i [class]="iconClass[22]"></i>
                </button>
                <button id="j23" class="ui large icon button" (click)="onSignClick(23)" [value]="numOfClicks[23]" [disabled]="shouldBeDisabled[23]">
                    <i [class]="iconClass[23]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <br>
                <button class="ui big basic teal icon button" [value]="randomVar[0]">
                    <i [class]="varIconClass(randomVar[0])"></i>
                </button>
                <button class="ui big basic teal icon button" [value]="randomVar[1]">
                    <i [class]="varIconClass(randomVar[1])"></i>
                </button>
                <button class="ui big basic teal icon button" [value]="randomVar[2]">
                    <i [class]="varIconClass(randomVar[2])"></i>
                </button>
                <button class="ui big basic teal icon button" [value]="randomVar[3]">
                    <i [class]="varIconClass(randomVar[3])"></i>
                </button>
            </div>
            
                     
        </div>
        <div id="filler">
            <!-- <div class="ui teal message" *ngIf="gameOver" id="points">Points won: {{pointsWon}}</div> -->
        </div>
        <div id="right">
            <div class="four wide column" id="signs">
                <button id="j24" class="ui large icon button" (click)="onSignClick(24)" [value]="numOfClicks[24]" [disabled]="shouldBeDisabled[24]">
                    <i [class]="iconClass[24]"></i>
                </button>
                <button id="j25" class="ui large icon button" (click)="onSignClick(25)" [value]="numOfClicks[25]" [disabled]="shouldBeDisabled[25]">
                    <i [class]="iconClass[25]"></i>
                </button>
                <button id="j26" class="ui large icon button" (click)="onSignClick(26)" [value]="numOfClicks[26]" [disabled]="shouldBeDisabled[26]">
                    <i [class]="iconClass[26]"></i>
                </button>
                <button id="j27" class="ui large icon button" (click)="onSignClick(27)" [value]="numOfClicks[27]" [disabled]="shouldBeDisabled[27]">
                    <i [class]="iconClass[27]"></i>
                </button>     
            </div>
            <div class="four wide column" id="signs">
                <button id="j28" class="ui large icon button" (click)="onSignClick(28)" [value]="numOfClicks[28]" [disabled]="shouldBeDisabled[28]">
                    <i [class]="iconClass[28]"></i>
                </button>
                <button id="j29" class="ui large icon button" (click)="onSignClick(29)" [value]="numOfClicks[29]" [disabled]="shouldBeDisabled[29]">
                    <i [class]="iconClass[29]"></i>
                </button>
                <button id="j30" class="ui large icon button" (click)="onSignClick(30)" [value]="numOfClicks[30]" [disabled]="shouldBeDisabled[30]">
                    <i [class]="iconClass[30]"></i>
                </button>
                <button id="j31" class="ui large icon button" (click)="onSignClick(31)" [value]="numOfClicks[31]" [disabled]="shouldBeDisabled[31]">
                    <i [class]="iconClass[31]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j32" class="ui large icon button" (click)="onSignClick(32)" [value]="numOfClicks[32]" [disabled]="shouldBeDisabled[32]">
                    <i [class]="iconClass[32]"></i>
                </button>
                <button id="j33" class="ui large icon button" (click)="onSignClick(33)" [value]="numOfClicks[33]" [disabled]="shouldBeDisabled[33]">
                    <i [class]="iconClass[33]"></i>
                </button>
                <button id="j34" class="ui large icon button" (click)="onSignClick(34)" [value]="numOfClicks[34]" [disabled]="shouldBeDisabled[34]">
                    <i [class]="iconClass[34]"></i>
                </button>
                <button id="j35" class="ui large icon button" (click)="onSignClick(35)" [value]="numOfClicks[35]" [disabled]="shouldBeDisabled[35]">
                    <i [class]="iconClass[35]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j36" class="ui large icon button" (click)="onSignClick(36)" [value]="numOfClicks[36]" [disabled]="shouldBeDisabled[36]">
                    <i [class]="iconClass[36]"></i>
                </button>
                <button id="j37" class="ui large icon button" (click)="onSignClick(37)" [value]="numOfClicks[37]" [disabled]="shouldBeDisabled[37]">
                    <i [class]="iconClass[37]"></i>
                </button>
                <button id="j38" class="ui large icon button" (click)="onSignClick(38)" [value]="numOfClicks[38]" [disabled]="shouldBeDisabled[38]">
                    <i [class]="iconClass[38]"></i>
                </button>
                <button id="j39" class="ui large icon button" (click)="onSignClick(39)" [value]="numOfClicks[39]" [disabled]="shouldBeDisabled[39]">
                    <i [class]="iconClass[39]"></i>
                </button>      
            </div>
            <div class="four wide column" id="signs">
                <button id="j40" class="ui large icon button" (click)="onSignClick(40)" [value]="numOfClicks[40]" [disabled]="shouldBeDisabled[40]">
                    <i [class]="iconClass[40]"></i>
                </button>
                <button id="j41" class="ui large icon button" (click)="onSignClick(41)" [value]="numOfClicks[41]" [disabled]="shouldBeDisabled[41]">
                    <i [class]="iconClass[41]"></i>
                </button>
                <button id="j42" class="ui large icon button" (click)="onSignClick(42)" [value]="numOfClicks[42]" [disabled]="shouldBeDisabled[42]">
                    <i [class]="iconClass[42]"></i>
                </button>
                <button id="j43" class="ui large icon button" (click)="onSignClick(43)" [value]="numOfClicks[43]" [disabled]="shouldBeDisabled[43]">
                    <i [class]="iconClass[43]"></i>
                </button>
            </div>
            <div class="four wide column" id="signs">
                <button id="j44" class="ui large icon button" (click)="onSignClick(44)" [value]="numOfClicks[44]" [disabled]="shouldBeDisabled[44]">
                    <i [class]="iconClass[44]"></i>
                </button>
                <button id="j45" class="ui large icon button" (click)="onSignClick(45)" [value]="numOfClicks[45]" [disabled]="shouldBeDisabled[45]">
                    <i [class]="iconClass[45]"></i>
                </button>
                <button id="j46" class="ui large icon button" (click)="onSignClick(46)" [value]="numOfClicks[46]" [disabled]="shouldBeDisabled[46]">
                    <i [class]="iconClass[46]"></i>
                </button>
                <button id="j47" class="ui large icon button" (click)="onSignClick(47)" [value]="numOfClicks[47]" [disabled]="shouldBeDisabled[47]">
                    <i [class]="iconClass[47]"></i>
                </button>      
            </div>
            <div class="four wide column">
                <br>
                <button class="ui teal large button" (click)="onCheck()" data-tooltip=" Click to check variation. " data-position="left center"> Check </button> 
                <button class="ui teal large button" [disabled]="!gameOver" (click)="onNextGame()"> Next game </button>
            </div>
        </div>

    </div>

</div>